Package Details: flaresolverr-bin 3.3.17-1

Git Clone URL: https://aur.archlinux.org/flaresolverr-bin.git (read-only, click to copy)
Package Base: flaresolverr-bin
Description: A proxy server to bypass Cloudflare protection
Upstream URL: https://github.com/FlareSolverr/FlareSolverr
Keywords: captcha cloudflare jackett proxy
Licenses: MIT
Conflicts: flaresolverr
Submitter: txtsd
Maintainer: txtsd
Last Packager: txtsd
Votes: 2
Popularity: 0.000786
First Submitted: 2023-03-20 23:56 (UTC)
Last Updated: 2024-04-12 04:52 (UTC)

Latest Comments

1 2 Next › Last »

txtsd commented on 2024-02-28 16:55 (UTC)

@hashworks I've never used a shared cache like that before. I changed the filename per the suggestion though.

hashworks commented on 2024-02-28 16:03 (UTC) (edited on 2024-02-28 16:03 (UTC) by hashworks)

Ah, my bad! This was due to flaresolverr using the same but different /var/cache/makepkg/src/flaresolverr-3.3.15.tar.gz source file.

Using source=(${pkgname}-${pkgver}.tar.gz instead of source=(${_pkgname}-${pkgver}.tar.gz would avoid such problems in the future.

txtsd commented on 2024-02-28 15:28 (UTC) (edited on 2024-02-28 15:29 (UTC) by txtsd)

@hashworks Could you try a clean build with makepkg -Csrf?

It built fine for me locally, and also on the CI: https://github.com/txtsd/ankylosaurus/actions/runs/7983868273/job/21799770453#step:11:59

EDIT: very punny name btw

hashworks commented on 2024-02-28 13:46 (UTC) (edited on 2024-02-28 13:47 (UTC) by hashworks)

It looks like the flaresolverr-3.3.15.tar.gz checksum is wrong.

Additionally package() fails:

==> Starting package()...
cp: cannot stat 'flaresolverr': No such file or directory

txtsd commented on 2023-11-27 12:39 (UTC)

Thanks for the report @potatoattack! I pushed a fix.

potatoattack commented on 2023-11-26 23:26 (UTC) (edited on 2023-11-26 23:27 (UTC) by potatoattack)

This package has a missing dependency: xorg-server-xvfb

I run it in an Incus container and get the following error until I install that package:

flaresolverr[295486]: OSError: Can not find Xvfb. Please install it and try again.

txtsd commented on 2023-11-07 15:35 (UTC)

@celogeek Thanks for reporting. I pushed a fix!

celogeek commented on 2023-11-05 11:58 (UTC)

I've got

2023-11-05 12:57:37 INFO     FlareSolverr 3.3.6
2023-11-05 12:57:37 INFO     Testing web browser installation...
2023-11-05 12:57:37 INFO     Platform: Linux-6.1.60-1-lts-x86_64-with-glibc2.38
2023-11-05 12:57:37 INFO     Chrome / Chromium path: /opt/flaresolverr/chrome/chrome
/bin/sh: symbol lookup error: /bin/sh: undefined symbol: rl_trim_arg_from_keyseq
2023-11-05 12:57:37 ERROR    Chrome / Chromium version not detected!

txtsd commented on 2023-06-27 09:20 (UTC)

Took care of it. Shouldn't happen anymore with future updates!

Eliwood commented on 2023-06-27 09:12 (UTC)

==> Validating source files with sha512sums... flaresolverr_linux_x64.tar.gz ... FAILED

Just FYI - building fails again.